Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1443620 - Add patches to allow integration with sway under Wayland
Summary: Add patches to allow integration with sway under Wayland
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: redshift
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miloš Komarčević
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-19 14:49 UTC by Jan Pokorný [poki]
Modified: 2020-05-26 14:41 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 14:41:41 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
Proposed solution to get Redshift working with sway under Wayland (deleted)
2017-04-19 14:55 UTC, Jan Pokorný [poki]
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1285590 0 unspecified CLOSED Redshift has no effect in Wayland Session 2021-02-22 00:41:40 UTC

Internal Links: 1285590

Description Jan Pokorný [poki] 2017-04-19 14:49:29 UTC
Currently I am using sway window manager backed by Wayland, and one of
the very few issues I have is the lack of eyes saving as provided by
Redshift.

Actual support on sway side is already present in Fedora:
  https://github.com/SirCmpwn/sway/pull/1019

and what's missing is a backend support in Redshift using the newly
introduced protocol extension, which is also available:
  https://github.com/giucam/redshift

There is also an unresolved upstream issue about this matter:
  https://github.com/jonls/redshift/issues/55

It would be very nice if Redshift in Fedora shipped with the patches
turning the Wayland support on at least for sway users, notably these
four:
  https://github.com/jonls/redshift/compare/master...giucam:master
till there's an upstream resolution (if ever).

I have a patch for pkgs.fedoraproject.org repository ready and tested,
and I'll attach it once the bug number is known (i.e. once I submit
this bug).

Comment 1 Jan Pokorný [poki] 2017-04-19 14:55:04 UTC
Created attachment 1272662 [details]
Proposed solution to get Redshift working with sway under Wayland

Comment 2 Jan Pokorný [poki] 2017-04-19 14:59:31 UTC
Then, users can have following in their ~/.config/redshift.conf
for this integration to work:

> [redshift]
> adjustment-method=wayland

Comment 3 Jan Pokorný [poki] 2017-04-19 19:40:19 UTC
To be completely honest, it looks like exiting redshift triggers a segfault
(at least with that new adjustment method):

src/redshift.c:

1652│
1653│         /* Clean up gamma adjustment state */
1654├>        method->free(&state);
1655│
1656│         return EXIT_SUCCESS;

#0  0x00007f038f14f9b9 in wl_map_insert_at
    (map=<optimized out>, flags=flags@entry=0, i=<optimized out>,
    data=<optimized out>)
    at src/wayland-util.c:249
#1  0x00007f038f14bafe in proxy_destroy
    (proxy=0x5626ecf6dff0)
    at src/wayland-client.c:411
#2  0x00007f038f14bafe in wl_proxy_destroy
    (proxy=0x5626ecf6dff0)
    at src/wayland-client.c:442
#3  0x00005626ecd413c9 in main
    (argc=<optimized out>, argv=<optimized out>)
    at redshift.c:1654

Hard to say if the problem is on redshift (#3) or wayland (rest) side.

Comment 4 Jan Kurik 2017-08-15 06:25:14 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 5 Ben Cotton 2018-11-27 18:40:15 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Jan Pokorný [poki] 2018-11-27 22:15:46 UTC
Still applicable and still no response.
Moving to Rawhide.

Comment 7 Jan Pokorný [poki] 2018-11-27 22:16:38 UTC
Also can confirm it will stay applicable when sway gets updated to 1.0.

Comment 8 Ben Cotton 2019-02-19 17:11:58 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 30 development cycle.
Changing version to '30.

Comment 9 Ben Cotton 2020-04-30 22:16:54 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 10 Ben Cotton 2020-05-26 14:41:41 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.